- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Properties

# QLibrary Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qlibrary.h.

`#include <qlibrary.h>`

Inheritance diagram for QLibrary:
[legend]

List of all members.

## Public Types
enum | LoadHint { ResolveAllSymbolsHint = 0x01, ExportExternalSymbolsHint = 0x02, LoadArchiveMemberHint = 0x04 }
## Public Member Functions
| QLibrary (QObject *parent=0)
| QLibrary (const QString &fileName, QObject *parent=0)
| QLibrary (const QString &fileName, int verNum, QObject *parent=0)
| QLibrary (const QString &fileName, const QString &version, QObject *parent=0)
| ~QLibrary ()
void * | resolve (const char *symbol)
bool | load ()
bool | unload ()
bool | isLoaded () const
void | setFileName (const QString &fileName)
QString | fileName () const
void | setFileNameAndVersion (const QString &fileName, int verNum)
void | setFileNameAndVersion (const QString &fileName, const QString &version)
QString | errorString () const
void | setLoadHints (LoadHints hints)
LoadHints | loadHints () const
## Static Public Member Functions
static void * | resolve (const QString &fileName, const char *symbol)
static void * | resolve (const QString &fileName, int verNum, const char *symbol)
static void * | resolve (const QString &fileName, const QString &version, const char *symbol)
static bool | isLibrary (const QString &fileName)
## Properties
QString | fileName
LoadHints | loadHints

## Member Enumeration Documentation

enum LoadHint

Search for all occurrences

Enumerator:

  ResolveAllSymbolsHint | Search for all occurrences
  ExportExternalSymbolsHint | Search for all occurrences
  LoadArchiveMemberHint | Search for all occurrences

Definition at line 69 of file qlibrary.h.

                      {
            ResolveAllSymbolsHint = 0x01,
            ExportExternalSymbolsHint = 0x02,
            LoadArchiveMemberHint = 0x04
        };

## Constructor & Destructor Documentation

QLibrary | ( | QObject * | parent = `0` | ) | `[explicit]`

QLibrary | ( | const QString & | fileName,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

QLibrary | ( | const QString & | fileName,
|  | int | verNum,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

QLibrary | ( | const QString & | fileName,
|  | const QString & | version,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

~QLibrary | ( |  | ) |

## Member Function Documentation

void* resolve | ( | const char * | symbol | ) |

Search for all occurrences

static void* resolve | ( | const QString & | fileName,
|  | const char * | symbol
| ) |  | `[static]`

Search for all occurrences

static void* resolve | ( | const QString & | fileName,
|  | int | verNum,
|  | const char * | symbol
| ) |  | `[static]`

Search for all occurrences

static void* resolve | ( | const QString & | fileName,
|  | const QString & | version,
|  | const char * | symbol
| ) |  | `[static]`

Search for all occurrences

bool load | ( |  | ) |

Search for all occurrences

bool unload | ( |  | ) |

Search for all occurrences

bool isLoaded | ( |  | ) | const

Search for all occurrences

static bool isLibrary | ( | const QString & | fileName | ) | `[static]`

Search for all occurrences

void setFileName | ( | const QString & | fileName | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

void setFileNameAndVersion | ( | const QString & | fileName,
|  | int | verNum
| ) |  |

Search for all occurrences

void setFileNameAndVersion | ( | const QString & | fileName,
|  | const QString & | version
| ) |  |

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

void setLoadHints | ( | LoadHints | hints | ) |

Search for all occurrences

LoadHints loadHints | ( |  | ) | const

Search for all occurrences

## Property Documentation

QString fileName `[read, write]`

Search for all occurrences

Definition at line 65 of file qlibrary.h.

LoadHints loadHints `[read, write]`

Search for all occurrences

Definition at line 66 of file qlibrary.h.

The documentation for this class was generated from the following file:

- QtCore/qlibrary.h

QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary
QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary QLibrary